/* ----------------  */
/* Custom Properties */
/* ----------------  */

:root {

    /* Colors */ 

    --clr-dark: 230, 35%, 7%;
    --clr-light: 231 77% 90%;
    --clr-white: 0 0% 100%;

    /* font-size */

    --fs-900: clamp(5rem, 10vw + 1rem, 9.375rem);
    --fs-800: 3.5rem;
    --fs-700: 1.5rem;
    --fs-600: 1rem;
    --fs-500: 1rem;
    --fs-400: 0.9375rem;
    --fs-300: 1rem;
    --fs-200: 0.875rem;

    /* font-family */
    --ff-serif: "Bellefair", serif;
    --ff-sans-cond: "Barlow Condensed", sans-serif;
    --ff-sans-normal: "Barlow", sans-serif;

    /* spacing */
    

}

@media (min-width: 35em) {
  :root {
       /* font-sizes */
       --fs-800: 5rem;
       --fs-700: 2.5rem;
       --fs-600: 1.5rem;
       --fs-500: 1.25rem;
       --fs-400: 1rem;
  }
}

@media (min-width: 45em) {
    :root {
         /* font-sizes */
         --fs-800: 6.25rem;
         --fs-700: 3.5rem;
         --fs-600: 2rem;
         --fs-500: 1.75rem;
         --fs-400: 1.125rem;

    }
}


/* ---------------- */
/* Reset            */
/* ---------------- */

//* Box sizing */

*,
*:before,
*:after {
  box-sizing: border-box;
}
/* Reset margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Prevent font size inflation */
html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
  scroll-behavior: smooth;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {

  font-weight: 400;
}

/* Set core body defaults */
body {
  font-family: var(--ff-sans-normal);
  font-size: --fs-400;
  color: hsl( var(--clr-white));
  background-color: hsl( var(--clr-dark));
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  display: grid;
  grid-template-rows: min-content 1fr min-content; 
  line-height: 1.5;
  overflow-x: hidden;
}

/* Set shorter line heights on headings and interactive elements */
h1,
h2,
h3,
h4,
button,
input,
label {
  line-height: 1.1;
}

/* Balance text wrapping on headings */
h1,
h2,
h3,
h4 {
  text-wrap: balance;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
  color: currentColor;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  object-fit: contain;
 /*  display: block; */
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Make sure textareas without a rows attribute are not tiny */
textarea:not([rows]) {
  min-height: 10em;
}

/* Anything that has been anchored to should have extra scroll margin */
:target {
  scroll-margin-block: 5ex;
}

/* remove animations for people that prefer reduced motion */
@media (prefers-reduced-motion: reduce) {
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}


/* ---------------- */
/* Utility Classes  */
/* ---------------- */



.flex {
  display: flex;
  gap: var(--gap, 1rem);
 /*  justify-content: space-between; */
}

.grid {
  display: grid;
  gap: var(--gap, 1rem);)
}

.block {
  display: block;
}


.flow > *:where(:not(:first-child)) {
  margin-top: var(--flow-space, 1rem);

}

.flow--space-small {
  --flow-space: .5rem;
}

.container {
    padding-inline: 2em;
    max-width: 80rem;
    margin-inline: auto;
}

section {
    padding-block: 2em;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.skip-to-content {
  text-align: center;
  position: absolute;
  z-index: 9999;
  background: hsl( var(--clr-white) / .05);
    backdrop-filter: blur(1.6rem);
  color: hsl( var(--clr-white) );
  padding: .5rem 1rem;
  margin-inline: auto;
  width: 100%;
  transform: translateY(-100%);
  transition: transform 500ms ease-in-out;

}

.skip-to-content:focus {
  transform: translateY(0);
}


/* ---------------- */
/* Colors           */
/* ---------------- */

.bg-dark {
    background-color: hsl( var(--clr-dark) );
}
.bg-accent {
    background-color: hsl( var(--clr-light) );
}
.bg-white {
    background-color: hsl( var(--clr-white) );
}

.text-dark {
    color: hsl( var(--clr-dark) );
}
.text-accent {
    color: hsl( var(--clr-light) );
}
.text-white {
    color: hsl( var(--clr-white) );
}


/* ---------------- */
/* Typography       */
/* ---------------- */

.ff-serif {
    font-family: var(--ff-serif);
}
.ff-sans-cond {
    font-family: var(--ff-sans-cond);
}
.ff-sans-normal {
    font-family: var(--ff-sans-normal);
}


.letter-spacing-3 {
    letter-spacing: 4.75px;
}
.letter-spacing-2 {
    letter-spacing: 2.7px;
}
.letter-spacing-1 {
    letter-spacing: 2.35px;
}
.uppercase {
    text-transform: uppercase;
}
.fs-900 {
    font-size: var(--fs-900);
}
.fs-800 {
    font-size: var(--fs-800);
}
.fs-700 {
    font-size: var(--fs-700);
}
.fs-600 {
    font-size: var(--fs-600);
}
.fs-500 {
    font-size: var(--fs-500);
}
.fs-400 {
    font-size: var(--fs-400);
}

.fs-300 {
    font-size: var(--fs-300);
}
.fs-200 {
    font-size: var(--fs-200);
}

.fs-900,
.fs-800,
.fs-700,
.fs-600 {
    line-height: 1.1;
}

.numbered-title {
    font-family: var(--ff-sans-cond);
    font-size: var(--fs-500);
    text-transform: uppercase;
    letter-spacing: 4.72px;
}

.numbered-title span {
    margin-right: .5em;
    font-weight: 700;
    color: hsl( var(--clr-white) / .25 );
}

/* ---------------- */
/* Components       */
/* ---------------- */

.large-button {
  font-size: min(4dvh,3rem);
  position: relative;
  display: inline-grid;
  place-items: center;
  z-index: 1;
  padding: 0 2em;
  border-radius: 50%;
  text-decoration: none;
  aspect-ratio: 1;
}

.large-button::after {
  content: '';
  position: absolute;
  z-index: -1;
  background: hsl(var(--clr-white) / .15);
  width: 100%;
  height: 100%;
  border-radius: 50%;
  opacity: 0;
  transition: opacity 500ms linear, transform 700ms ease-in-out;

}
.large-button:hover::after,
.large-button:focus::after {
  opacity: 1;
  transform: scale(1.5);
}
.large-button:active,
.large-button:active::after {
  transform: scale(.95);
}

/* ---------------- */
/* Primary header   */
/* ---------------- */

.logo {
  margin: 1.5rem clamp(1.5rem, 5vw, 3.5rem);
}

.primary-header { 
  justify-content: space-between;
  padding: 0;  
  align-items: center;
  column-gap: 0;
}

.header-line {
  border: 1px solid hsl( var(--clr-white) / .25);
  flex-grow: 1;
  right: -5rem;
  margin: 0;
}

.primary-navigation {
  --gap: clamp(1.5rem, 6vw, 16rem);
  background-color:hsl(var(--clr-dark)) ;
  --underline-gap: 2em;
  list-style: none;
  padding: 0 clamp(1.5rem, 6vw, 16rem);
/*   margin: 0 clamp(1.5rem, 6vw, 16rem); */
}

@supports (backdrop-filter: blur(1.6rem)) or (-webkit-backdrop-filter: blur(1.6rem)) {
  .primary-navigation {
    background: hsl( var(--clr-white) / .05);
    backdrop-filter: blur(1.6rem);
    -webkit-backdrop-filter: blur(1.6rem);
  }
}

.mobile-nav-toggle {
  display: none;
}

@media (max-width: 35em) {
  .primary-navigation {
  --underline-gap: .5rem;
  position: fixed;
  z-index: 1000;
  inset: 0 0 0 20%;
  list-style: none;
  padding: min(20rem, 15vh) 2rem;
  margin: 0; 
  flex-direction: column;
  --gap: 1rem;
  transform: translateX(100%);
  transition: transform 640ms ease-in-out;
  }

  .primary-navigation[data-visible="true"] {
    transform: translateX(0);
  }

  .primary-navigation.underline-indicators > .active {
    border: 0;
  }
  
  .mobile-nav-toggle {
    display: block;
    position: absolute;
    z-index: 2000;
    top: 2rem;
    right: 1rem;
    padding: 1rem;
    border: 0;
    background: hsl( var(--clr-dark) / .05);
    background-image: url(./assets/shared/icon-hamburger.svg);
    background-position: center center;
    background-repeat: no-repeat;
    width: 1.5rem;
    aspect-ratio: 1;
    cursor: pointer;
    transition: linear 640ms ;
    
  }
  .mobile-nav-toggle[aria-expanded="true"]  {
    background-image: url(./assets/shared/icon-close.svg);
    transition: linear 640ms ;
  }
  .mobile-nav-toggle:focus-visible {
    outline-offset: 5px;
  }
  .header-line {
    display: none;
  }
}


.primary-navigation a {
 text-decoration: none;
}

.primary-navigation a > span {
  margin-right: .5em;
  font-weight: 600;
  color: hsl( var(--clr-white) );
}


.primary-navigation a::hover,
.primary-navigation a::focus {
  color: hsl( var(--clr-light) );

}

@media (min-width: 35em) and (max-width: 45em) {
  .primary-navigation {
    padding-inline: 3rem;
  }
  .primary-navigation a > span {
    display: none;
  }
  .header-line {
    display: none;
  }
}

.underline-indicators > * {
  cursor: pointer;
  padding: var(--underline-gap, .8rem) 0;
  border: 0;
  border-bottom: .2rem solid hsl( var(--clr-white) / 0);
  background: none;
}

.underline-indicators > *:hover,
.underline-indicators > *:focus {
  border-color:  hsl( var(--clr-white) / .5 );
  
}
.underline-indicators > .active,
.underline-indicators > [aria-selected="true"] {
  color: hsl( var(--clr-white) / 1 );
  border-color:  hsl( var(--clr-white) / 1 );
}


.tab-list {
  --gap: 2rem;
}

.dot-indicators > * {
  cursor: pointer;
  padding: .5em;
  aspect-ratio: 1;
  border: 0;
  border-radius: 50%;
  background-color: hsl( var(--clr-white) / .25);
}
.dot-indicators > *:hover,
.dot-indicators > *:focus {
  background-color: hsl( var(--clr-white) / .5 );
}
.dot-indicators > [aria-selected="true"] {
  background-color: hsl( var(--clr-white) / 1 );
}

.numbers-indicators > * {
  flex-shrink: 1;
  color:hsl( var(--clr-white) / 1 )
  cursor: pointer;
  padding: 0 1rem;
  border-radius: 50%;
  text-decoration: none;
  aspect-ratio: 1;
  background-color: hsl( var(--clr-dark) / .125);
  border: .1em solid hsl( var(--clr-white) / .25);
}

.numbers-indicators > *:hover,
.numbers-indicators > *:focus {
  border: .1em solid hsl( var(--clr-white) / 1);
}
.numbers-indicators > [aria-selected="true"] {
  color:hsl( var(--clr-dark) );
  background-color: hsl( var(--clr-white) / 1 );
}

/* -------------------------- */
/* page specific backgrounds  */
/* -------------------------- */

body {

  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

/* home */

.home {

  background-image: url(./assets/home/background-home-mobile.jpg);
}

@media (min-width: 35em) {
  .home {
    background-position: center center;
    background-image: url(./assets/home/background-home-tablet.jpg);
  }
}

@media (min-width: 45em) {
  .home {
    background-image: url(./assets/home/background-home-desktop.jpg);
  }
}

/* destination */

.destination {

  background-image: url(./assets/destination/background-destination-mobile.jpg);
  background-image: url(./assets/destination/background-destination-mobile.webp);
}

@media (min-width: 35em) {
  .destination {
    background-position: center center;
    background-image: url(./assets/destination/background-destination-tablet.jpg);
    background-image: url(./assets/destination/background-destination-tablet.webp);
  }
}

@media (min-width: 45em) {
  .destination {
    background-image: url(./assets/destination/background-destination-desktop.jpg);
    background-image: url(./assets/destination/background-destination-desktop.webp);
  }
  }
}

/* crew */

.crew {

  background-image: url(./assets/crew/background-crew-mobile.jpg);
}

@media (min-width: 35em) {
  .crew {
    background-position: center center;
    background-image: url(./assets/crew/background-crew-tablet.jpg);
  }
}

@media (min-width: 45em) {
  .crew {
    background-image: url(./assets/crew/background-crew-desktop.jpg);
  }
}

/* -------------------------- */
/* Layout  */
/* -------------------------- */


.grid-container {
  text-align: center;
  display: grid;
  place-items: center;
  padding-inline: 1em;
  padding-bottom: 3.2rem;
}

.grid-container p:not([class]) {
  max-width: 56ch;
}

.numbered-title {
  grid-area: title;
}

/* destination layout º*/

.grid-container--destination {
  --flow-space: 2rem;
  grid-template-areas:
    'title'
    'image'
    'tabs'
    'content';
}

.grid-container--destination > picture {
  grid-area: image;
  aspect-ratio: 1/1 auto;
  animation: fadeIn 1000ms;
}
.grid-container--destination > picture > img {
  max-width: 80%;
  object-fit:contain;
  object-position: center;
}
.grid-container--destination > .tab-list {
  grid-area: tabs;
}

.grid-container--destination > .destination-info {
  grid-area: content;
}

.destination-meta {
  flex-direction: column;
  border-top: 1px solid hsl( var(--clr-white) / .2);
  padding-top: 2.5rem;
  margin-top: 2.5rem;
}

.destination-meta  p {
  font-size: 1.75rem;
}

article {
  animation: fadeIn 1000ms;
}

@keyframes fadeIn {
    0% {
      transform: translate(0px, .3rem);
      opacity: .5;
    }
  
    100% {
      opacity: 1;
      transform: translate(0, 0);
    }
}


/* crew layout */

.grid-container--crew {
  --flow-space: 2rem;
  grid-template-areas:
    'title'
    'image'
    'dots'
    'content';
}

.grid-container--crew > .dot-indicators {
  grid-area: dots;
}

.grid-container--crew > picture img {
  display: inline-block;
  grid-area: image;
  border-bottom: 1px solid hsl( var(--clr-white) / .2);
}

.grid-container--crew > picture {
  max-width: 60%;
  min-height: 312px;
}

.grid-container--crew > .crew-details {
  grid-area: content;
}
.crew-details h2 {
  color: hsl( var(--clr-white) / .5 );
}

@media(min-width: 35em) {
  .numbered-title {
    justify-self: start;
    margin-top: 2rem; 
  }
  .destination-meta {
    flex-direction: row;
    justify-content: space-evenly;
  }

  .grid-container--crew {
    padding-bottom: 0;
    grid-template-areas:
      'title'
      'content'
      'dots'
      'image';
  }
  .grid-container--destination > picture > img {
    max-width: 100%;
  }

}

@media (min-width: 45em) {
  .grid-container {
    text-align: left;
    column-gap: var(--container-gap, 2rem);
    grid-template-columns: minmax(2rem, 1fr) repeat(2,minmax(0,30rem)) minmax(2rem, 1fr);

  }
  .grid-container--home {
    padding-bottom: max(6rem, 16vh);
    align-items: end;
  }

  .grid-container--home > *:first-child {
    grid-column: 2;
  
  }
  .grid-container--home > *:last-child {
    grid-column: 3;

  }

  .grid-container--destination > picture,
  .grid-container--crew > picture {
    grid-area: image;
    max-width: 90%;
    padding-top: 3rem;
  }

  .grid-container--destination {
    justify-items: start;
    align-content: start;
    grid-template-areas:
      '. title title .'
      '. image tabs .'
      '. image content .';
    
  }

  .destination-meta {
    flex-direction: row;
    justify-content:flex-start;
    --gap: min(8vw, 6rem);
  }

  .grid-container--crew {
    justify-items: start;
    grid-template-columns: minmax(2rem, 1fr) minmax(0,60rem) minmax(0,40rem) minmax(2rem, 1fr);
    grid-template-areas:
      '. title title .'
      '. content image . '
      '. dots image .'
  
  }

  .grid-container--crew > picture {
    grid-column: span 2;
    align-self: end;
  }
}